/**
 * 切换操作按钮的样式。
 * Toggle the style of the operation button for models of MQA.
 *
 * @access public
 * @returns void
 */
window.toggleActionsStyleForMQA = function()
{
    const {addCompeteTips, addLang} = $('.think-objects').data();
    $('.table td[data-name="ACTIONS"] .btn[data-type="add"]').prop({
        disabled: ($('.table tbody tr').length >= 10),
        title: $('.table tbody tr').length >= 10 ? addCompeteTips.replace('%s', 10) : addLang,
    });
    $('.table td[data-name="ACTIONS"] .btn[data-type="delete"]').prop({disabled: $('.table tbody tr').length <= 2});
}

$(document).on('click', 'td[data-name="ACTIONS"] .btn', function()
{
    if(!$('.think-objects').length) return;

    toggleActionsStyleForMQA();
    if($(this).data('type') == 'add') $(this).closest('tr').next().find('td:first-child .form-control')[0].focus();
});

/**
 * 更改输入的对象值。
 * Change objects for MQA.
 *
 * @access public
 * @returns void
 */
window.changeObjects = function(event)
{
    if(!$('.form-batch-table .form-control.has-error').length) return;

    let index = $(event).attr('name').match(/\d+/);
    if(!$(event).val())
    {
        $('[name^="mainName[' + index + ']"]').trigger('input');
        $('[name^="mainMarket[' + index + ']"]').trigger('input');
        $('[name^="competeName[' + index + ']"]').trigger('input');
    }
}
