/**
 * 更改分割数量。
 * Change split count.
 *
 * @param  string value
 * @param  string axis
 * @access public
 * @returns void
 */
window.changeSplitCount = function(value, axis)
{
    const {marketID, wizardID, splitCount} = $('.think-prerelease').data();
    splitCount[axis] = value;

    loadPage($.createLink('thinkwizard', 'prereleaseformqa', `marketID=${marketID}&wizardID=${wizardID}&splitCount0=${splitCount[0]}&splitCount1=${splitCount[1]}`));
}

/**
 * 更改划分方式。
 * Change split type.
 *
 * @param  string value
 * @param  string axis
 * @access public
 * @returns void
 */
window.changeSplitType = function(value, axis)
{
    const isBcg = $('.think-prerelease').data('isBcg');
    if(isBcg) $(`.think-prerelease .split-item-${axis}`).toggleClass('gap-3', value != 0);
    $(`.think-prerelease .split-value-${axis}`).toggleClass('hidden', value == 0);
    $(`.think-prerelease .split-row-${axis}`).toggleClass('mt-2',  !($(`input[name='prerelease[isDefineName][${axis}]']:checked`).val() == 0 && value == 0));
}

/**
 * 初始发布页面。
 * Inited prerelease page.
 *
 * @access public
 * @returns void
 */
window.initedPrerelease = function()
{
    $(".think-prerelease .split-name-0").toggleClass("hidden", $('input[name="prerelease[isDefineName][0]"]:checked').val() == 0);
    $(".think-prerelease .split-name-1").toggleClass("hidden", $('input[name="prerelease[isDefineName][1]"]:checked').val() == 0);
    $(".think-prerelease .split-row-0").toggleClass("mt-2",  !($('input[name="prerelease[isDefineName][0]"]:checked').val() == 0 && $('[name="prerelease[splitType][0]"]').val() == 0));
    $(".think-prerelease .split-row-1").toggleClass("mt-2",  !($('input[name="prerelease[isDefineName][1]"]:checked').val() == 0 && $('[name="prerelease[splitType][1]"]').val() == 0));
}

/**
 * 更改分割线的值。
 * Change split value.
 *
 * @access public
 * @returns void
 */
window.changeSplitValue = function()
{
    const value = $(this).val();
    if(value.includes('.') && value.split('.')[1].length > 2)  $(this).val(value.slice(0, -1));
}
