<?php
/**
 * The scoringcriteria view file of thinkwizard module of ZenTaoPMS.
 * @copyright   Copyright 2009-2024 禅道软件（青岛）有限公司(ZenTao Software (Qingdao) Co., Ltd. www.zentao.net)
 * @license     ZPL(https://zpl.pub/page/zplv12.html) or AGPL(https://www.gnu.org/licenses/agpl-3.0.en.html)
 * @author      Yu Zhang <zhangyu@easycorp.ltd>
 * @package     thinkwizard
 * @link        https://www.zentao.net
 */
namespace zin;
$criterionForm     = array();
$defaultCriterions = $count == 5 ? $lang->thinkwizard->criterion->defaultCriteria5 : $lang->thinkwizard->criterion->defaultCriteria10;
$criterions        = !empty($step->options["criterions$count"]) ? $step->options["criterions$count"] : array();

for($i = 1; $i <= $count; $i++)
{
    $criterionIndex = $i - 1;
    $criterionForm[] = div
    (
        setClass('flex items-center'),
        div(setClass('w-6 text-right mr-6'), $i),
        formGroup
        (
            setStyle(array('flex' => '2')),
            textarea
            (
                set::rows('1'),
                set::name('criterions' . $count . '[]'),
                set::value(!empty($criterions) && !empty($criterions[$i - 1]) ? $criterions[$i - 1] : $defaultCriterions[$i - 1]),
                set::placeholder($lang->thinkwizard->pleaseInput),
                on::input('changeCriterions')
            )
        )
    );
}
formPanel
(
    set::title($title),
    set::actions(array(array('text' => $lang->save, 'class' => 'primary', 'btnType' => 'submit'))),
    div
    (
        setClass('flex'),
        div(setClass('w-12 text-center'), $lang->thinkwizard->criterion->score),
        div(span(setClass('text-danger mr-0.5 h-5'), '*'), $lang->thinkwizard->criterion->desc)
    ),
    $criterionForm,
    div
    (
        setClass('criterion-error ml-10 text-danger hidden pl-2'),
        setStyle(array('margin-top' => '-8px')),
        sprintf($lang->thinkwizard->error->empty, $lang->thinkwizard->criterion->scoreCriterion)
    )
);
